<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%--
  Created by IntelliJ IDEA.
  User: kinetik
  Date: 05.03.17
  Time: 21:35
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Administrator Info Change Page</title>
    <style type="text/css">
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/cssforpr.css" %>
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/bootstrap.min.css" %>
    </style>
</head>
<body>

<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <a class="navbar-brand" href="#">MePhorce</a>
        <nav class="nav nav-masthead">
            <a class="nav-link" href="/">Войти</a>
            <a class="nav-link" href="/aboutUs">О проекте</a>
            <a class="nav-link" href="/registrate">Создать аккаунт</a>
            <a class="nav-link" href="/contacts">Контакты</a>
        </nav>
    </div>
</nav>

<div class="container">
    <div class="login-block">
        <h1> Изменение персональных данных </h1>
        ${Client.clFamily} ${Client.clFirstName} ${Client.clSecName} </br>
        </br>
        <form:form method="post" modelAttribute="addInf" action="/addInformClient">
            <form:input path="birthdate" type="date" value="" placeholder="Дата рождения" id="birthdate"/>${birthMessage}<br/>
            <form:input path="e_mail" type="email" value="" placeholder="E-mail" id="email"/>${emailMessage}<br/>
            <form:input path="phone_number" type="text" placeholder="Номер телефона"/>${phoneMessage}<br/>
            <form:input path="hometown" type="text" placeholder="Город"/>${hometownMessage}<br/>
            <form:input path="company" type="text" placeholder="Компания"/>${companyMessage}<br/>
            <form:input path="position" type="text" placeholder="Должность"/>${posMessage}<br/>
            <form:button>Изменить данные</form:button>
            ${errorMessage}
        </form:form>
        <a href="/PCabinClient">Заполнить позже</a>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="text-muted">&copy;2017 Mephorce</p>
    </div>
</footer>

</body>
</html>
