<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%--
  Created by IntelliJ IDEA.
  User: kinetik
  Date: 05.03.17
  Time: 22:08
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>

<head>
    <title> Personal Client Page </title>
    <style type="text/css">
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/cssforpr.css" %>
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/bootstrap.min.css" %>
    </style>
</head>

<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <a class="navbar-brand" href="#">MePhorce</a>
        <nav class="nav nav-masthead">
            <a class="nav-link active" href="/">Войти</a>
            <a class="nav-link" href="/aboutUs">О проекте</a>
            <a class="nav-link" href="/registrate">Создать аккаунт</a>
            <a class="nav-link" href="/contacts">Контакты</a>
        </nav>
    </div>
</nav>

<div class="row">
    <div class="col-sm-1">
    </div>
    <div class="col-sm-3">
        <div class="container">
            <div class="personal-page-block">
                <h1> Персональная информация </h1>
                <b>Фамилия:</b> ${Client.clFamily} <br>
                <b>Имя:</b> ${Client.clFirstName} <br>
                <b>Отчество:</b> ${Client.clSecName} <br>
                <c:if test="${not empty Client.clBirthdate}">
                    <b>Дата рождения:</b> ${Client.clBirthdate} <br>
                </c:if>
                <c:if test="${not empty Client.clCompany}">
                    <b>Компания:</b> ${Client.clCompany}<br>
                </c:if>
                <c:if test="${not empty Client.clPos}">
                    <b>Должность:</b> ${Client.clPos} <br>
                </c:if>
                <c:if test="${not empty Client.clPhone}">
                    <b>Номер телефона:</b> ${Client.clPhone} <br>
                </c:if>
                <c:if test="${not empty Client.clEmail}">
                    <b>E-mail адрес:</b> ${Client.clEmail} <br>
                </c:if>
                <c:if test="${not empty Client.clHometown}">
                    <b>Город:</b> ${Client.clHometown} <br>
                </c:if>
                <br>
                <a href="/PClientChangeInfo">Изменить</a>
            </div>
        </div>
    </div>
    <div class="col-sm-2">
    </div>
    <div class="col-sm-4">
        <div class="container">
            <div class="projects-block">
                <h1>Проекты</h1>
                <c:if test="${not empty projectList}">
                    <table>
                        <thead>
                        <tr>
                            <th>Имя проекта</th>
                            <th>Статус</th>
                        </tr>
                        </thead>
                        <tbody id="prodReportTable">
                        <c:forEach var="listValue" items="${projectList}">
                            <tr>
                                <td><a href="#">${listValue.title}</a></td>
                                <td>${listValue.status}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </c:if>
            </div>
        </div>
    </div>
    <div class="col-sm-2">
    </div>
</div>

<br><br>

<footer class="footer">
    <div class="container">
        <p class="text-muted">&copy;2017 Mephorce</p>
    </div>
</footer>

</body>
</html>
