package DAOImplement;

import HibernateEntities.StudentsEntity;
import org.hibernate.Interceptor;
import org.hibernate.Session;
import org.hibernate.query.Query;

import java.util.HashMap;
import java.util.List;

import static HibernateUtil.HibernateUtil.getSession;

/**
 * Created by Кинетик on 01.01.2017.
 */
public class StudentDao {
    public static List<StudentsEntity> loadStudent(Integer grId){
        Session session = getSession();
        Query query = session.createQuery("FROM StudentsEntity where stGroup="+grId);
        List<StudentsEntity> res = query.list();
        session.close();
        return res;
    }
    public static HashMap<Integer, StudentsEntity> getStudentsMap() {
        Session session = getSession();
        Query query = session.createQuery("from StudentsEntity");
        List<StudentsEntity> res = query.list();
        session.close();
        HashMap<Integer, StudentsEntity> studentsMap = new HashMap<>();
        for (StudentsEntity st : res) {
            studentsMap.put(st.getStudentsId(), st);
        }
        return studentsMap;
    }
    public static void createNewStudent(StudentsEntity student) {
        Session session = getSession();
        Query query = session.createQuery("Select max(studentsId) FROM StudentsEntity ");
        Integer res = (Integer)query.uniqueResult();
        student.setStudentsId(res+1);
        session.beginTransaction();
        session.save(student);
        session.getTransaction().commit();
        session.close();
    }
    public static void updateStudent(StudentsEntity student) {
        Session session = getSession();
        session.beginTransaction();
        session.update(student);
        session.getTransaction().commit();
        session.close();
    }
    public static boolean checkIsStudent(StudentsEntity student){
        Session session = getSession();
        Query query = session.createQuery("FROM StudentsEntity Where stFamily = :Family and stFirstName = :Name and stSecName = :SecName and stGroup = :GroupId");
        query.setParameter("Family", student.getStFamily());
        query.setParameter("Name", student.getStFirstName());
        query.setParameter("SecName", student.getStSecName());
        query.setParameter("GroupId", student.getStGroup());
        List<StudentsEntity> res = query.list();
        if(res.size()==0){
            return false;
        }
        return true;
    }
}
