package Controller;

import HibernateEntities.ModeratorsEntity;
import HibernateEntities.StudentsEntity;
import ServiceEntites.AddInfEnt;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;
import org.springframework.web.servlet.ModelAndView;

import static DAOImplement.StudentDao.updateStudent;

/**
 * Created by kinetik on 06.03.17.
 */
@Controller
@SessionAttributes("Student")
public class StudentMovController {

    @RequestMapping(value = "/PCabinStudentControl")
    public ModelAndView studentInNextViewChecker(@ModelAttribute("Student") StudentsEntity student) {
        ModelAndView studentFirstIn = new ModelAndView("inViews/firstInViews/studentFirstIn");
        studentFirstIn.addObject("Student", student);
        try {
            if (student == null) {
                return new ModelAndView("otherViews/accessDeniedView");
            }
            if (student.getStFirstIn() == null || student.getStFirstIn() == 0) {
                student.setStFirstIn(1);
                updateStudent(student);
                studentFirstIn.addObject("addInf", new AddInfEnt());
                return studentFirstIn;
            }
            return new ModelAndView("redirect:/PCabinStudent");
        } catch (Exception ex) {
            return new ModelAndView("otherViews/errorView");
        }
    }
}
