package DAOImplement;

import HibernateEntities.MatchSkilEntity;
import HibernateEntities.ProjectStaffSkillEntity;
import HibernateEntities.SkillCatEntity;
import HibernateEntities.SkillListEntity;
import org.hibernate.Session;
import org.hibernate.query.Query;

import java.util.List;

import static HibernateUtil.HibernateUtil.getSession;

/**
 * Created by kinetik on 08.03.17.
 */
public class SkillDao {

    public static SkillListEntity getSkillById (int id) {
        Session session = getSession();
        Query query = session.createQuery("From SkillListEntity where skilId = :skillId");
        query.setParameter("skillId", id);
        List<SkillListEntity> res = query.list();
        session.close();
        return res.get(0);
    }

    public static List<MatchSkilEntity> getSkillsByCatId (int catId) {
        Session session = getSession();
        Query query = session.createQuery("From MatchSkilEntity where catId = :catId");
        query.setParameter("catId", catId);
        List<MatchSkilEntity> res = query.list();
        session.close();;
        return res;
    }

    public static List<ProjectStaffSkillEntity> getProjSkbyStaffId (int staffId) {
        Session session = getSession();
        Query query = session.createQuery("From ProjectStaffSkillEntity where slaveId = :slaveId");
        query.setParameter("slaveId", staffId);
        List<ProjectStaffSkillEntity> res = query.list();
        session.close();
        return res;
    }

    public static List<SkillCatEntity> getCategorySkill () {
        Session session = getSession();
        Query query = session.createQuery("From SkillCatEntity ");
        List<SkillCatEntity> res = query.list();
        session.close();
        return res;
    }
}
